SessionCustomExpiry (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.util, class: SessionCustomExpiry

Package org.apache.geode.modules.util

# Class SessionCustomExpiry

java.lang.Object
org.apache.geode.modules.util.SessionCustomExpiry

All Implemented Interfaces:
  `Serializable`, `CacheCallback`, `CustomExpiry<String,jakarta.servlet.http.HttpSession>`, `Declarable`

public class SessionCustomExpiry extends Object implements CustomExpiry<String,jakarta.servlet.http.HttpSession>, Serializable, Declarable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionCustomExpiry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Called when the region containing this callback is closed or destroyed, when the cache is closed, or when a callback is removed from a region using an `AttributesMutator`.
  `boolean`
  `equals(Object obj)`
  `ExpirationAttributes`
  `getExpiry(Region.Entry<String,jakarta.servlet.http.HttpSession> entry)`
  Calculate the expiration for a given entry.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.geode.cache.Declarable

  `init, initialize`

- ## Constructor Details

  - ### SessionCustomExpiry

    public SessionCustomExpiry()

- ## Method Details

  - ### getExpiry

    public ExpirationAttributes getExpiry(Region.Entry<String,jakarta.servlet.http.HttpSession> entry)
    Description copied from interface: `CustomExpiry`
    Calculate the expiration for a given entry. Returning null indicates that the default for the region should be used.

    The entry parameter should not be used after this method invocation completes.

    Specified by:
      `getExpiry` in interface `CustomExpiry<String,jakarta.servlet.http.HttpSession>`
    Parameters:
      `entry` - the entry to calculate the expiration for
    Returns:
      the expiration to be used, null if the region's defaults should be used.

  - ### close

    public void close()
    Description copied from interface: `CacheCallback`
    Called when the region containing this callback is closed or destroyed, when the cache is closed, or when a callback is removed from a region using an `AttributesMutator`.

    Implementations should cleanup any external resources such as database connections. Any runtime exceptions this method throws will be logged.

    It is possible for this method to be called multiple times on a single callback instance, so implementations must be tolerant of this.

    Specified by:
      `close` in interface `CacheCallback`
    See Also:
      - `RegionService.close()`
      - `Region.close()`
      - `Region.localDestroyRegion()`
      - `Region.destroyRegion()`
      - `AttributesMutator`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`